﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp61
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void option1ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            changeColor(sender, Color.Green);
        }

        private void option2ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            changeColor(sender, Color.Blue);
        }
        private void changeColor(object sender,Color color)
        {
            ToolStripItem item = (ToolStripItem)sender;
            ContextMenuStrip owner = (ContextMenuStrip)item.Owner;
            Control usedControl = owner.SourceControl;
            //usedControl.BackColor = color; //as a shortcut this time!
            if (usedControl.GetType() == typeof(Button))
            {
                Button b = (Button)usedControl;
                b.BackColor = color;
            }
            else if(usedControl.GetType()==typeof(PictureBox))
                {
                    PictureBox box = (PictureBox)usedControl;
                    box.BackColor = color;
                }
            else if (usedControl.GetType() == typeof(Form2))
                {
                    Form form = (Form)usedControl;
                    form.BackColor = color;
                }
        }

        private void redToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            changeColor(sender, Color.Red);
        }

        private void yellowToolStripMenuItem_Click(object sender, EventArgs e)
        {
            changeColor(sender, Color.Yellow);
        }
    }
}
